Appearance
Private networks
Private networks (VPCs): environments of several projects whose services reach each other privately.
Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).
List private networks
GET /api/v1/teams/{tid}/vpcs
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Response
200: a list of Private network objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Create a private network
POST /api/v1/teams/{tid}/vpcs
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 60 |
description | string | no | max length 2000, can be null |
Response
201: a Private network object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Get a private network
GET /api/v1/teams/{tid}/vpcs/{vid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
vid | path | string (UUID) | yes |
Response
200: a Private network object.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs/$VPC_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Rename or describe a private network
PATCH /api/v1/teams/{tid}/vpcs/{vid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
vid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | min length 1, max length 60, can be null |
description | string | no | max length 2000, can be null |
Response
200: a Private network object.
Example
bash
curl -X PATCH "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs/$VPC_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"string"}'Delete a private network
DELETE /api/v1/teams/{tid}/vpcs/{vid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
vid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs/$VPC_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"List private network members
GET /api/v1/teams/{tid}/vpcs/{vid}/members
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
vid | path | string (UUID) | yes |
Response
200: a list of Private network member objects.
Example
bash
curl "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs/$VPC_ID/members" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Add an environment to a private network
POST /api/v1/teams/{tid}/vpcs/{vid}/members
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
vid | path | string (UUID) | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
environment_id | string (UUID) | yes |
Response
201: a Private network object.
Example
bash
curl -X POST "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs/$VPC_ID/members" \
-H "Authorization: Bearer $FJORDRUN_TOKEN" \
-H "Content-Type: application/json" \
-d '{"environment_id":"00000000-0000-0000-0000-000000000000"}'Remove an environment from a private network
DELETE /api/v1/teams/{tid}/vpcs/{vid}/members/{eid}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tid | path | string (UUID) | yes | |
vid | path | string (UUID) | yes | |
eid | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/teams/$TEAM_ID/vpcs/$VPC_ID/members/$MEMBER_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Request objects
VpcIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | min length 1, max length 60 |
description | string | no | max length 2000, can be null |
VpcMemberIn
| Field | Type | Required | Description |
|---|---|---|---|
environment_id | string (UUID) | yes |
VpcPatch
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | min length 1, max length 60, can be null |
description | string | no | max length 2000, can be null |